<form [formGroup]="stockPickerForm">
  <mat-form-field>
    <input
      matInput
      placeholder="Symbol e.g AAPL"
      formControlName="symbol"
      value=""
      (change)="inputChanges()"
    />
    <mat-error
      ><span
        *ngIf="
          !stockPickerForm.get('symbol').valid &&
          stockPickerForm.get('symbol').touched
        "
        >Please enter a symbol</span
      >
    </mat-error>
  </mat-form-field>
      <mat-form-field>
          <input matInput [max]="currDate"  [matDatepicker]="startDate" placeholder="Start Date" [formControl]="formPeriod.controls[0]" (dateChange)="inputChanges()">
          <mat-datepicker-toggle matSuffix [for]="startDate"></mat-datepicker-toggle>
          <mat-datepicker #startDate></mat-datepicker>
        </mat-form-field>
      
        <mat-form-field>
          <input matInput [max]="currDate"  [matDatepicker]="endDate" placeholder="End Date" [formControl]="formPeriod.controls[1]" (dateChange)="inputChanges()">
          <mat-datepicker-toggle matSuffix [for]="endDate"></mat-datepicker-toggle>
          <mat-datepicker #endDate></mat-datepicker>
        </mat-form-field>

  <mat-form-field>
    <mat-label>Favorite time period</mat-label>
    <mat-select formControlName="period">
      <mat-option
        *ngFor="let timePeriod of timePeriods"
        [value]="timePeriod.value"
      >
        {{ timePeriod.viewValue }}
      </mat-option>
    </mat-select>
  </mat-form-field>
</form>

<coding-challenge-chart [data$]="quotes$"></coding-challenge-chart>
